#!/bin/bash
echo "Setting permissions"
# Config file must not be world-readable due to sensitive data
chmod 660 /opt/tyk-sink/tyk_sink.conf

echo "Installing init scripts..."

SYSTEMD="/lib/systemd/system"
UPSTART="/etc/init"
SYSV1="/etc/init.d"
SYSV2="/etc/rc.d/init.d/"
DIR="/opt/tyk-sink/install"

if [ -d "$SYSTEMD" -a -x "$(command -v systemctl)" ]; then
	echo "Found Systemd"
	cp $DIR/inits/systemd/default/tyk-sink /etc/default/
	cp $DIR/inits/systemd/system/tyk-sink.service /lib/systemd/system/
	systemctl --system daemon-reload
	exit
fi

if [ -d "$UPSTART" ]; then
	echo "Found upstart"
	cp $DIR/inits/upstart/default/tyk-sink /etc/default/
	cp $DIR/inits/upstart/init/tyk-sink.conf /etc/init/
	exit
fi

if [ -d "$SYSV1" ]; then
	echo "Found SysV1"
	cp $DIR/inits/sysv/default/tyk-sink /etc/default/
	cp $DIR/inits/sysv/init.d/tyk-sink /etc/init.d/
	exit
fi

if [ -d "$SYSV2" ]; then
	echo "Found Sysv2"
	cp $DIR/inits/sysv/default/tyk-sink /etc/default/
	cp $DIR/inits/sysv/init.d/tyk-sink /etc/rc.d/init.d/
	exit
fi